
import wx

def create(parent):
    return Frame2(parent)

[wxID_FRAME2, wxID_FRAME2BITMAPBUTTON1, wxID_FRAME2BITMAPBUTTON10, 
 wxID_FRAME2BITMAPBUTTON2, wxID_FRAME2BITMAPBUTTON3, wxID_FRAME2BITMAPBUTTON4, 
 wxID_FRAME2BITMAPBUTTON5, wxID_FRAME2BITMAPBUTTON6, wxID_FRAME2BITMAPBUTTON7, 
 wxID_FRAME2BITMAPBUTTON8, wxID_FRAME2BITMAPBUTTON9, wxID_FRAME2PANEL1, 
 wxID_FRAME2STATICTEXT1, 
] = [wx.NewId() for _init_ctrls in range(13)]

class ColourLookupTableFrame(wx.Frame):
    def _init_ctrls(self, prnt):
        wx.Frame.__init__(self, id=wxID_FRAME2, name='', parent=prnt,
              pos=wx.Point(616, 208), size=wx.Size(205, 490),
              style=wx.DEFAULT_FRAME_STYLE, title='Select a lookup table ...')
        self.SetClientSize(wx.Size(197, 463))

        self.panel1 = wx.Panel(id=wxID_FRAME2PANEL1, name='panel1', parent=self,
              pos=wx.Point(0, 0), size=wx.Size(197, 463),
              style=wx.TAB_TRAVERSAL)

        self.bitmapButton1 = wx.BitmapButton(bitmap=wx.Bitmap(u'C:/Documents and Settings/andre/Desktop/working_code/DV3D/devel/version/CLT_images/red_yel.bmp',
              wx.BITMAP_TYPE_BMP), id=wxID_FRAME2BITMAPBUTTON1,
              name='bitmapButton1', parent=self.panel1, pos=wx.Point(40, 64),
              size=wx.Size(108, 24), style=wx.BU_AUTODRAW)
        self.bitmapButton1.Bind(wx.EVT_BUTTON, self.OnBitmapButton1Button,
              id=wxID_FRAME2BITMAPBUTTON1)

        self.bitmapButton2 = wx.BitmapButton(bitmap=wx.Bitmap(u'C:/Documents and Settings/andre/Desktop/working_code/DV3D/devel/version/CLT_images/yel_red.bmp',
              wx.BITMAP_TYPE_BMP), id=wxID_FRAME2BITMAPBUTTON2,
              name='bitmapButton2', parent=self.panel1, pos=wx.Point(40, 104),
              size=wx.Size(108, 24), style=wx.BU_AUTODRAW)
        self.bitmapButton2.Bind(wx.EVT_BUTTON, self.OnBitmapButton2Button,
              id=wxID_FRAME2BITMAPBUTTON2)

        self.bitmapButton3 = wx.BitmapButton(bitmap=wx.Bitmap(u'C:/Documents and Settings/andre/Desktop/working_code/DV3D/devel/version/CLT_images/blue_cyan.bmp',
              wx.BITMAP_TYPE_BMP), id=wxID_FRAME2BITMAPBUTTON3,
              name='bitmapButton3', parent=self.panel1, pos=wx.Point(40, 136),
              size=wx.Size(108, 24), style=wx.BU_AUTODRAW)
        self.bitmapButton3.Bind(wx.EVT_BUTTON, self.OnBitmapButton3Button,
              id=wxID_FRAME2BITMAPBUTTON3)

        self.bitmapButton4 = wx.BitmapButton(bitmap=wx.Bitmap(u'C:/Documents and Settings/andre/Desktop/working_code/DV3D/devel/version/CLT_images/cyan_blue.bmp',
              wx.BITMAP_TYPE_BMP), id=wxID_FRAME2BITMAPBUTTON4,
              name='bitmapButton4', parent=self.panel1, pos=wx.Point(40, 176),
              size=wx.Size(108, 24), style=wx.BU_AUTODRAW)
        self.bitmapButton4.Bind(wx.EVT_BUTTON, self.OnBitmapButton4Button,
              id=wxID_FRAME2BITMAPBUTTON4)

        self.bitmapButton5 = wx.BitmapButton(bitmap=wx.Bitmap(u'C:/Documents and Settings/andre/Desktop/working_code/DV3D/devel/version/CLT_images/wht_red.bmp',
              wx.BITMAP_TYPE_BMP), id=wxID_FRAME2BITMAPBUTTON5,
              name='bitmapButton5', parent=self.panel1, pos=wx.Point(40, 216),
              size=wx.Size(108, 24), style=wx.BU_AUTODRAW)
        self.bitmapButton5.Bind(wx.EVT_BUTTON, self.OnBitmapButton5Button,
              id=wxID_FRAME2BITMAPBUTTON5)

        self.bitmapButton6 = wx.BitmapButton(bitmap=wx.Bitmap(u'C:/Documents and Settings/andre/Desktop/working_code/DV3D/devel/version/CLT_images/wht_blue.bmp',
              wx.BITMAP_TYPE_BMP), id=wxID_FRAME2BITMAPBUTTON6,
              name='bitmapButton6', parent=self.panel1, pos=wx.Point(40, 256),
              size=wx.Size(108, 24), style=wx.BU_AUTODRAW)
        self.bitmapButton6.Bind(wx.EVT_BUTTON, self.OnBitmapButton6Button,
              id=wxID_FRAME2BITMAPBUTTON6)

        self.bitmapButton7 = wx.BitmapButton(bitmap=wx.Bitmap(u'C:/Documents and Settings/andre/Desktop/working_code/DV3D/devel/version/CLT_images/wht_grn.bmp',
              wx.BITMAP_TYPE_BMP), id=wxID_FRAME2BITMAPBUTTON7,
              name='bitmapButton7', parent=self.panel1, pos=wx.Point(40, 296),
              size=wx.Size(108, 24), style=wx.BU_AUTODRAW)
        self.bitmapButton7.Bind(wx.EVT_BUTTON, self.OnBitmapButton7Button,
              id=wxID_FRAME2BITMAPBUTTON7)

        self.bitmapButton8 = wx.BitmapButton(bitmap=wx.Bitmap(u'C:/Documents and Settings/andre/Desktop/working_code/DV3D/devel/version/CLT_images/purp_cyan.bmp',
              wx.BITMAP_TYPE_BMP), id=wxID_FRAME2BITMAPBUTTON8,
              name='bitmapButton8', parent=self.panel1, pos=wx.Point(40, 336),
              size=wx.Size(108, 24), style=wx.BU_AUTODRAW)
        self.bitmapButton8.Bind(wx.EVT_BUTTON, self.OnBitmapButton8Button,
              id=wxID_FRAME2BITMAPBUTTON8)

        self.bitmapButton9 = wx.BitmapButton(bitmap=wx.Bitmap(u'C:/Documents and Settings/andre/Desktop/working_code/DV3D/devel/version/CLT_images/cyan_purp.bmp',
              wx.BITMAP_TYPE_BMP), id=wxID_FRAME2BITMAPBUTTON9,
              name='bitmapButton9', parent=self.panel1, pos=wx.Point(40, 376),
              size=wx.Size(108, 24), style=wx.BU_AUTODRAW)
        self.bitmapButton9.Bind(wx.EVT_BUTTON, self.OnBitmapButton9Button,
              id=wxID_FRAME2BITMAPBUTTON9)

        self.bitmapButton10 = wx.BitmapButton(bitmap=wx.Bitmap(u'C:/Documents and Settings/andre/Desktop/working_code/DV3D/devel/version/CLT_images/rainbow.bmp',
              wx.BITMAP_TYPE_BMP), id=wxID_FRAME2BITMAPBUTTON10,
              name='bitmapButton10', parent=self.panel1, pos=wx.Point(40, 416),
              size=wx.Size(108, 24), style=wx.BU_AUTODRAW)
        self.bitmapButton10.Bind(wx.EVT_BUTTON, self.OnBitmapButton10Button,
              id=wxID_FRAME2BITMAPBUTTON10)

        self.staticText1 = wx.StaticText(id=wxID_FRAME2STATICTEXT1,
              label='Click to select a table', name='staticText1',
              parent=self.panel1, pos=wx.Point(40, 24), size=wx.Size(101, 13),
              style=0)

    def __init__(self, parent):
        self._init_ctrls(parent)

    def OnBitmapButton1Button(self, event):
        event.Skip()

    def OnBitmapButton2Button(self, event):
        event.Skip()

    def OnBitmapButton3Button(self, event):
        event.Skip()

    def OnBitmapButton4Button(self, event):
        event.Skip()

    def OnBitmapButton5Button(self, event):
        event.Skip()

    def OnBitmapButton6Button(self, event):
        event.Skip()

    def OnBitmapButton7Button(self, event):
        event.Skip()

    def OnBitmapButton8Button(self, event):
        event.Skip()

    def OnBitmapButton9Button(self, event):
        event.Skip()

    def OnBitmapButton10Button(self, event):
        event.Skip()
